/*
 * Copyright (c) 2006-2009 OrangeSignal.com All rights reserved.
 * 
 * これは Apache ライセンス Version 2.0 (以下、このライセンスと記述) に
 * 従っています。このライセンスに準拠する場合以外、このファイルを使用
 * してはなりません。このライセンスのコピーは以下から入手できます。
 * 
 * http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * 適用可能な法律がある、あるいは文書によって明記されている場合を除き、
 * このライセンスの下で配布されているソフトウェアは、明示的であるか暗黙の
 * うちであるかを問わず、「保証やあらゆる種類の条件を含んでおらず」、
 * 「あるがまま」の状態で提供されるものとします。
 * このライセンスが適用される特定の許諾と制限については、このライセンス
 * を参照してください。
 */

package jp.sf.orangesignal.chart.axis;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import java.util.Date;

import org.junit.Test;

/**
 * {@link DateTickUnit} クラスの単体テストです。
 * 
 * @author 杉澤 浩二
 */
public class DateTickUnitTest {

	@Test
	public void testValues() {
		final DateTickUnit[] values = DateTickUnit.values();
		for (final DateTickUnit value : values) {
			switch (value) {
				case ONE_MONTH:
				case THREE_MONTH:
				case SIX_MONTH:
				case ONE_YEAR:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

	@Test
	public void testValueToString() {
		assertNotNull(DateTickUnit.ONE_MONTH.valueToString(new Date()));
		assertNotNull(DateTickUnit.THREE_MONTH.valueToString(new Date()));
		assertNotNull(DateTickUnit.SIX_MONTH.valueToString(new Date()));
		assertNotNull(DateTickUnit.ONE_YEAR.valueToString(new Date()));
	}

}
